---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab ci list`

Get the list of CI/CD pipelines

```plaintext
glab ci list [flags]
```

## Examples

```plaintext
glab ci list
glab ci list --status=failed

```

## Options

```plaintext
  -o, --orderBy string   Order pipeline by <string>
  -p, --page int         Page number (default 1)
  -P, --per-page int     Number of items to list per page. (default 30)
      --sort string      Sort pipeline by {asc|desc}. (default "desc")
  -s, --status string    Get pipeline with status: {running|pending|success|failed|canceled|skipped|created|manual}
```

## Options inherited from parent commands

```plaintext
      --help              Show help for command
  -R, --repo OWNER/REPO   Select another repository using the OWNER/REPO or `GROUP/NAMESPACE/REPO` format or full URL or git URL
```
